/**
   SparkyElement extends ElementImpl

   created by Ryuichiro Higashinaka 
   2005/05/27

**/

package jsparky;

import org.apache.xerces.dom.*;
import java.util.*;
import org.w3c.dom.*;

public abstract class BaseElement extends ElementImpl {
    
    /** constants for nodetype2 **/
    public static final short RST_NODE = 101;
    public static final short PROPOSITION_NODE = 102;
    public static final short AGGREGATED_NODE = 103;

    /** tagNames **/
    public static final String RSTELEMENT_TAGNAME = "relation";
    public static final String PROPOSITIONELEMENT_TAGNAME = "proposition";
    public static final String AGGREGATEDELEMENT_TAGNAME = "aggregation";

    public BaseElement(Document doc, String tagName){
	super((CoreDocumentImpl)doc, tagName);
    }

    public abstract short getNodeType2();

}
