/** 
    Period Operation 
    first created by Ryuichiro higashinaka 
    2005/05/31
**/

package jsparky.operations;

import jsparky.*;
import java.util.*;
import org.w3c.dom.*;
import org.apache.xerces.dom.*;
import com.cogentex.real.api.*;

public class Period extends Operation {

    public boolean isInvalidOperationInStructure(String op_name){
	return false;
    }

    public AggregationResult aggregate(RSTElement rst_elem, Aggregatable a1, Aggregatable a2) throws AggregationException {
	Document dss1 = a1.getDSS();
	Document dss2 = a2.getDSS();
	return new AggregationResult(null,dss1,dss2);
    }

    /** each operation has to return its name **/
    public String getOperationName(){
	return Operation.PERIOD;
    }

}
